<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:CCCommon="http://www.codecharge.com/common/" version="1.0"><xsl:output method="text"/><xsl:template match="Style"></xsl:template><xsl:template match="/"><xsl:apply-templates/></xsl:template>

<xsl:template match="Site">Project.
--------------------------------------------------------------
Name: <xsl:value-of select="@name"/>
Site Language: <xsl:value-of select="@language"/>
Path: {Path}

Security Settings.
--------------------------------------------------------------
Security Method: <xsl:choose><xsl:when test="string(@securityType)='Table'">Table</xsl:when><xsl:otherwise>None</xsl:otherwise></xsl:choose>
Login Page: <xsl:value-of select="@loginPage"/>
Convert Login Page URL to: <xsl:value-of select="@urlType"/><xsl:if test="string(@urlType)=''">None</xsl:if>
Connection: <xsl:value-of select="@securityConnection"/>
User Table: <xsl:value-of select="@usersTable"/>
User ID Field: <xsl:value-of select="@userIDField"/>
Login Field: <xsl:value-of select="@userLoginField"/>
Password Field: <xsl:value-of select="@userPasswordField"/>
Level/Group Field: <xsl:value-of select="@userGroupField"/>
User ID Variable: <xsl:value-of select="@userIDVariable"/>
User Login Variable: <xsl:value-of select="@userLoginVariable"/>
Group ID Variable: <xsl:value-of select="@groupIDVariable"/>

Security Groups.
--------------------------------------------------------------
Higher Level Inclusive of Lower Levels: <xsl:value-of select="@higherLevel"/>
Groups(Group ID - Group Name):
<xsl:for-each select="Groups/Group">
<xsl:value-of select="@value"/> - <xsl:value-of select="@name"/><![CDATA[
]]>
</xsl:for-each>
</xsl:template>

<xsl:template match="Page">
<xsl:if test="./@secured='True'">
Page "<xsl:value-of select="@name"/>".
--------------------------------------------------------------
Path: {Path}
Restricted: <xsl:value-of select="@secured"/>
Security Groups Access(Group Name - Access):
<xsl:for-each select="//Site/Groups/Group">
<xsl:variable name="groupID" select="@value"/>
<xsl:value-of select="@name"/> - <xsl:choose>
<xsl:when test="count(//Page/SecurityGroups/Group[@groupID=$groupID])!=0">Yes</xsl:when>
<xsl:otherwise>No</xsl:otherwise>
</xsl:choose><![CDATA[
]]>
</xsl:for-each>

<xsl:for-each select="Components/*[@secured]">
<xsl:if test="./@secured='True'">Form <xsl:value-of select="name(.)"/><xsl:text> </xsl:text>
<xsl:value-of select="@name"/>.
------------------------
Restricted: <xsl:value-of select="@secured"/>
Security Groups Access(<xsl:choose>
<xsl:when test="name(.)='EditableGrid' or name(.)='Record'">Group Name - Read - Insert - Update - Delete</xsl:when>
<xsl:otherwise>Group Name - Read</xsl:otherwise></xsl:choose>):
<xsl:choose>

<xsl:when test="name(.)='EditableGrid' or name(.)='Record'">
<xsl:variable name="compID" select="@id"/>
<xsl:for-each select="//Site/Groups/Group">
<xsl:variable name="groupID" select="@value"/>
<xsl:value-of select="@name"/> - <xsl:choose>
<xsl:when test="count(//Page/Components/*[@id=$compID]/SecurityGroups/Group[@groupID=$groupID and @read='True'])!=0">Yes</xsl:when>
<xsl:otherwise>No</xsl:otherwise>
</xsl:choose> - <xsl:choose>
<xsl:when test="count(//Page/Components/*[@id=$compID]/SecurityGroups/Group[@groupID=$groupID and @insert='True'])!=0">Yes</xsl:when>
<xsl:otherwise>No</xsl:otherwise>
</xsl:choose> - <xsl:choose>
<xsl:when test="count(//Page/Components/*[@id=$compID]/SecurityGroups/Group[@groupID=$groupID and @update='True'])!=0">Yes</xsl:when>
<xsl:otherwise>No</xsl:otherwise>
</xsl:choose> - <xsl:choose>
<xsl:when test="count(//Page/Components/*[@id=$compID]/SecurityGroups/Group[@groupID=$groupID and @delete='True'])!=0">Yes</xsl:when>
<xsl:otherwise>No</xsl:otherwise>
</xsl:choose><![CDATA[
]]>
</xsl:for-each>
</xsl:when>

<xsl:otherwise>
<xsl:variable name="compID" select="@id"/>
<xsl:for-each select="//Site/Groups/Group">
<xsl:variable name="groupID" select="@value"/>
<xsl:value-of select="@name"/> - <xsl:choose>
<xsl:when test="count(//Page/Components/*[@id=$compID]/SecurityGroups/Group[@groupID=$groupID and @read='True'])!=0">Yes</xsl:when>
<xsl:otherwise>No</xsl:otherwise>
</xsl:choose><![CDATA[
]]>
</xsl:for-each>
</xsl:otherwise>

</xsl:choose>
</xsl:if>
</xsl:for-each>
</xsl:if>
</xsl:template>

</xsl:stylesheet>